import { Event, JsonValue, Listener, PartialWithUndefinedReactivePropsToNativeProps, ReactivePropsToNativePropsAndChanged } from "vtxf-xe2/dist-node/xe2-base-utils";
import { SceneObjectKey } from "vtxf-xe2/dist-node/xe2-utils";
import { PickedInfo } from "../../../scene-manager";
import { ESSceneObject } from "../../ESSceneObject";
import { GeoCanvasPoi } from "../GeoCanvasPoi";
export declare class GeoCanvasPointPoi extends ESSceneObject {
    static readonly type: string;
    get typeName(): string;
    get defaultProps(): {
        show: boolean;
        enabled: boolean;
        position: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        positionEditing: boolean;
        radius: number;
        text: string;
        font: string;
        fontColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        color: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        outlineColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        selectedColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        hovered: boolean;
        selected: boolean;
        viewDistanceRange: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number] | undefined>;
        viewDistanceDebug: boolean;
        pickOnClick: boolean;
        execOnceFuncStr: string | undefined;
        updateFuncStr: string | undefined;
        toDestroyFuncStr: string | undefined;
        name: string;
        ref: string | undefined;
        devTags: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string[] | undefined>;
        extras: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<JsonValue>;
    };
    get json(): JsonType;
    set json(value: JsonType);
    private _pickedEvent;
    get pickedEvent(): Event<[PickedInfo]>;
    static defaults: {
        viewDistanceRange: [number, number, number, number];
        viewerTagsEnums: [string, string][];
    };
    private _flyToEvent;
    get flyToEvent(): Listener<[number | undefined]>;
    flyTo(duration?: number): void;
    private _clickEvent;
    get clickEvent(): Event<[PointerEvent]>;
    private _dbclickEvent;
    get dbclickEvent(): Event<[PointerEvent]>;
    private _geoCanvasPoi;
    get geoCanvasPoi(): GeoCanvasPoi;
    get sPositionEditing(): import("vtxf-xe2/dist-node/xe2-base-objects").PositionEditing;
    constructor(id?: SceneObjectKey);
    getProperties(language?: string): import("vtxf-xe2/dist-node/xe2-base-objects").Property[];
}
export declare namespace GeoCanvasPointPoi {
    const createDefaultProps: () => {
        show: boolean;
        enabled: boolean;
        position: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        positionEditing: boolean;
        radius: number;
        text: string;
        font: string;
        fontColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        color: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        outlineColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        selectedColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        hovered: boolean;
        selected: boolean;
        viewDistanceRange: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number] | undefined>;
        viewDistanceDebug: boolean;
        pickOnClick: boolean;
        execOnceFuncStr: string | undefined;
        updateFuncStr: string | undefined;
        toDestroyFuncStr: string | undefined;
        name: string;
        ref: string | undefined;
        devTags: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string[] | undefined>;
        extras: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<JsonValue>;
    };
}
export interface GeoCanvasPointPoi extends ReactivePropsToNativePropsAndChanged<ReturnType<typeof GeoCanvasPointPoi.createDefaultProps>> {
}
declare type JsonType = PartialWithUndefinedReactivePropsToNativeProps<ReturnType<typeof GeoCanvasPointPoi.createDefaultProps> & {
    type: string;
}>;
export {};
